{ config, ... }:

let
  domain = "pino.giugl.io";
  backendPort = 3000;
  frontendPort = 3002;
in
{
  architect.vhost.${domain} = {
    dnsInterfaces = [ "tailscale" ];

    locations."/" = {
      host = "172.17.0.1";
      port = frontendPort;
      allowLan = true;
      allow = [ config.architect.networks."tailscale".net ];
    };
  };

  virtualisation.oci-containers = {
    containers = {
      big-agi = {
        image = "ghcr.io/enricoros/big-agi:main";
        autoStart = true;

        ports = [
          "172.17.0.1:${toString frontendPort}:${toString backendPort}"
        ];
        environmentFiles = [
          "/var/lib/llm/big-agi.env"
        ];
        extraOptions = [
          "--pull=always"
        ];
      };
    };
  };
}
