{ config, pkgs, lib, ... }:

{
  boot.tmp = {
    useTmpfs = true;
  };

  console = {
    keyMap = "us";
    font = "Lat2-Terminus16";
  };

  i18n.defaultLocale = "en_US.UTF-8";

  nix = {
    settings.auto-optimise-store = true;
    package = pkgs.nixUnstable;
    extraOptions = ''
      experimental-features = nix-command flakes
    '';

    gc = {
      automatic = true;
      dates = "weekly";
      persistent = true;
    };
  };


  fonts = {
    fontconfig.enable = true;
    packages = with pkgs; [ cascadia-code victor-mono ];
  };

  environment.systemPackages = with pkgs; [
    file
    pciutils
    bind
    wget
    git
    curl
    htop
    glances
    tcpdump
    restic
    tmux
    parted
    unzip
    tree
    smartmontools
    nmap
    ripgrep
    jq
    helix
  ];
}
